Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
cls_longdouble.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Functions
long double | cls_ldouble_fn (long double a1, long double a2, long double a3, long double a4, long double a5, long double a6, long double a7, long double a8)
int | main (void)

## Function Documentation

## ◆ cls_ldouble_fn()

long double cls_ldouble_fn | ( | long double | a1,
|  | long double | a2,
|  | long double | a3,
|  | long double | a4,
|  | long double | a5,
|  | long double | a6,
|  | long double | a7,
|  | long double | a8
| ) |  |

Definition at line 16 of file cls_longdouble.c.

References printf().

Referenced by main().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 51 of file cls_longdouble.c.

References CHECK, cls_ldouble_fn(), ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), NULL, and printf().